<div style="margin-bottom: 15px;">
    <h4>
        <span>Purchase Requisition</span>
    </h4>
    <br>
    <div>
        <p-accordion>
            <p-accordionTab header="Filter" [selected]="false">
                <div class="row">
                    <div class="ui-g-12">
                        <div class="col-md-6">
                            <div class="form-group">
                                <div class="ui-g-4">
                                    <label class="form-control-label" for="field_PIC">Tanggal</label>
                                </div>
                                <div class="ui-g-4">
                                    <p-calendar inputId="field_dtfrom" name="input_dtfrom" [(ngModel)]="filDtFrom"
                                        dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                        yearRange="2000:2999" appendTo="body"></p-calendar>
                                </div>
                                <div class="ui-g-4">
                                    <p-calendar inputId="field_dtthru" name="input_dtthru" [(ngModel)]="filDtThru"
                                        dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                        yearRange="2000:2999" appendTo="body"></p-calendar>
                                </div>
                            </div>
                            <div class="form-group" [hidden]="(curAccount !== 'swy')">
                                <div class="ui-g-4">
                                    <label class="form-control-label" for="field_PIC">Departement</label>
                                </div>
                                <div class="ui-g-8">
                                    <p-dropdown [options]="divitions" [(ngModel)]="selectedPIC" id="field_PIC" [style]="{'width':'100%'}">
                                </p-dropdown>
                                </div>
                            </div>
                            <div class="form-group" [hidden]="(curAccount !== 'it')">
                                <div class="ui-g-4">
                                    <label class="form-control-label" for="field_PIC">Departement</label>
                                </div>
                                <div class="ui-g-8">
                                    <p-dropdown [options]="divitions" [(ngModel)]="selectedPIC" id="field_PIC" [style]="{'width':'100%'}">
                                </p-dropdown>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="ui-g-4">
                                    <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                                </div>
                                <div class="ui-g-8">
                                    <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                                    (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier" [minLength]="1"
                                    field="nmSupplier" placeholder="Silakan Pilih" (onSelect)="selectSupplier(true)"
                                    [dropdown]="true" tabindex=1></p-autoComplete>
                                </div>
                            </div>
                            <br>
                            <div class="form-group">
                                <button pButton type="submit" label="Filter" icon="fa-filter"
                                    class="ui-button-primary flat-label-button" (click)="filter()">
                                </button>
                                <button pButton label="Reset Filter" icon="fa-refresh"
                                    class="ui-button-primary flat-label-button" (click)="reset()">
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </p-accordionTab>
        </p-accordion>
    </div>
    <br>
    <div [hidden]="currentInternal !== 'TEKNIK'">
        <p-accordion>
            <p-accordionTab header="Filter PP Berdasarkan Kebutuhan" [selected]="false">
                <div class="row">
                    <div class="ui-g-12">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="form-control-label"  for="field_need">Kebutuhan</label>
                                <select class="form-control" id="field_need" name="need" [(ngModel)]="inputNeeds" 
                                (change)="kebutuhan()">
                                    <option [ngValue]="null"></option>
                                    <option [ngValue]="needOption.value" *ngFor="let needOption of needs">{{needOption.value}}</option>
                                </select>
                            </div>
                            <br>
                            <div class="form-group">
                                <button pButton type="submit" label="Filter" icon="fa-filter"
                                    class="ui-button-primary flat-label-button" (click)="filter1()">
                                </button>
                                <button pButton label="Reset Filter" icon="fa-refresh"
                                    class="ui-button-primary flat-label-button" (click)="reset()">
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </p-accordionTab>
            <br>
            <p-accordionTab header="Filter PP Berdasarkan Sudah Dibuat PO (belum di kirim) dan Belum di buat PO" [selected]="false">
                <div class="row">
                    <div class="ui-g-12">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="form-control-label"  for="field_need">Status PP</label>
                                <select class="form-control" id="field_need" name="need" [(ngModel)]="inputselectedPP">
                                    <option [ngValue]="null"></option>
                                    <option [ngValue]="needOption.value" *ngFor="let needOption of arrayPP">{{needOption.label}}</option>
                                </select>
                            </div>
                            <br>
                            <div class="form-group">
                                <button pButton type="submit" label="Filter" icon="fa-filter"
                                    class="ui-button-primary flat-label-button" (click)="filter2()">
                                </button>
                                <button pButton label="Reset Filter" icon="fa-refresh"
                                    class="ui-button-primary flat-label-button" (click)="reset()">
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </p-accordionTab>
        </p-accordion>
    </div>
    <br>
    <p-dataTable
        [value]="purchaseOrders"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        dataKey="idPurchaseOrder"
        expandableRows="false"
        rowHover="true"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)"
        sortMode="multiple">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" [routerLink]="['create-new']"><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                </li>
                <!-- <li class="nav-item">
                    <a class="btn btn-info" [routerLink]="['create-new-import']"><i class="fa fa-plus"></i> &nbsp;Add New By Import</a>
                </li> -->
            </ul>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column field="No" header="No" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column field="no" header="Purchase Requisition Number">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.noPurchaseOrder}}
            </ng-template>
        </p-column>
        <p-column field="Date" header="Date" >
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtOrder | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column field="Division" header="Division">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.divition}}
            </ng-template>
        </p-column>
        <!-- <p-column header="Character">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.sifat}}
            </ng-template>
        </p-column>
        <p-column header="Needs">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.needs}}
            </ng-template>
        </p-column> -->
        <p-column field="Created" header="Created By">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.createdBy}}
            </ng-template>
        </p-column>
        <p-column header="Status" >
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.status}}
            </ng-template>
        </p-column>
        <p-column header="Date Status" >
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dateStatus | date:'dd-MM-yyyy HH:mm'}}
            </ng-template>
        </p-column>
        <p-column header="Description Notes" >
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.ket_not_app}}
            </ng-template>
        </p-column>
        <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <!-- <button pButton type="submit"
                        [routerLink]="['../purchase-order', rowData.idOrder]"
                        icon="fa-eye"
                        class="flat-button">
                </button> -->
                
                <button pButton type="button" [hidden]="(rowData.idStatusType > 5)"  (click)="reqAppoved(rowData.idPurchaseOrder)" label="Request Approve" class="ui-button-success"></button>
                <button pButton type="submit"
                        [routerLink]="['../purchase-order/0/' + page + '/' + rowData.idPurchaseOrder + '/edit']"
                        icon="fa-pencil" pTooltip="Detail PP"
                        class="flat-button">
                </button>
                <button pButton type="submit" [hidden]="(rowData.idStatusType > 5)"
                        (click)="delete(rowData.idPurchaseOrder)"
                        icon="fa-remove" pTooltip="Cancel PP"
                        class="flat-button">
                </button>
                <button pButton type="submit" [hidden]="(rowData.idStatusType != 12)"
                    (click)="delete(rowData.idPurchaseOrder)"
                    icon="fa-remove" pTooltip="Cancel PP"
                    class="flat-button">
            </button>
                <!-- <button pButton type="submit" [hidden]="(rowData.idStatusType === 10)" 
                        (click)="delete(rowData.idPurchaseOrder)"
                        icon="fa-remove" pTooltip="Cancel PP"
                        class="flat-button">
                </button> -->
                <button pButton type="submit" [disabled]="(rowData.idStatusType === '10' || rowData.idStatusType === '13')"
                        (click)="print(rowData.idPurchaseOrder, rowData)"
                        icon="fa-print" pTooltip="Print PP"
                        class="flat-button">
                </button>
                <button pButton type="submit" [hidden]="(rowData.idStatusType !== 22)" [disabled]="(rowData.idStatusType !== 22)" 
                        (click)="lihatPO(rowData.idPurchaseOrder)" 
                        icon="fa-eye" pTooltip="Preview PO"
                        class="flat-button">
                </button>
                <button pButton type="submit" [hidden]="(rowData.idStatusType !== 28)" [disabled]="(rowData.idStatusType !== 28)" 
                        (click)="lihatPO(rowData.idPurchaseOrder)" 
                        icon="fa-eye" pTooltip="Preview PO"
                        class="flat-button">
                </button>
                <button pButton type="submit" [hidden]="(rowData.idStatusType !== 16)" [disabled]="(rowData.idStatusType !== 16)" 
                        (click)="lihatPO(rowData.idPurchaseOrder)" 
                        icon="fa-eye" pTooltip="Preview PO"
                        class="flat-button">
                </button>
                <button pButton type="submit" [hidden]="(rowData.idStatusType !== 22)" [disabled]="(rowData.idStatusType !== 22)" 
                        (click)="cekReasonpp(rowData.idPurchaseOrder)"
                        icon="fa-info-circle" pTooltip="PO Reason History"
                        class="flat-button">
                </button>
                <button pButton type="submit" [hidden]="(rowData.idStatusType !== 28)" [disabled]="(rowData.idStatusType !== 28)" 
                        (click)="cekReasonpp(rowData.idPurchaseOrder)"
                        icon="fa-info-circle" pTooltip="PO Reason History"
                        class="flat-button">
                </button>
                <button pButton type="submit" [hidden]="(rowData.idStatusType !== 16)" [disabled]="(rowData.idStatusType !== 16)" 
                        (click)="cekReasonpp(rowData.idPurchaseOrder)"
                        icon="fa-info-circle" pTooltip="PO Reason History"
                        class="flat-button">
                </button>
                <button pButton type="button" 
                        (click)="openPDF(rowData.idPurchaseOrder)"
                        icon="fa-file" pTooltip="Preview Attachment"
                        class="flat-button">
                </button>
                <button pButton type="button" [hidden]="rowData.is_attach != '2' && rowData.is_attach != '1'"
                        (click)="openAttach(rowData.idPurchaseOrder)"
                        icon="fa-comments" pTooltip="Preview Attachment Permintaan Action PP"
                        class="flat-button">
                </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>
<p-dialog header="Lihat PO" [(visible)]="modalLihatPO" modal="true" [width]="800">
    <form name="lihatpo" role="form" novalidate #editForm="ngForm">
        <div>
            <p-dataTable [value]="purchaseOrders1" [editable]="true" [rows]="itemsPerPage" [paginator]="false"
                [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true"
                [lazy]="true" row="itemsPerPage" totalRecords="totalItems" dataKey="idpurchasing" expandableRows="false"
                rowHover="true" (onLazyLoad)="loadDataLazy($event)" sortMode="multiple">
                <p-header>
                </p-header>
                </p-column>
                <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="Item Code">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.codeProduk}}
                    </ng-template>
                </p-column>
                <p-column header="Item">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.produkName}}
                    </ng-template>
                </p-column><p-column header="Qty">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty}}
                    </ng-template>
                </p-column>
                </p-column><p-column header="Unit">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.unit}}
                    </ng-template>
                </p-column>
                </p-column><p-column header="No PO">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.noPo}}
                    </ng-template>
                </p-column>
            </p-column><p-column header="Qty PO">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.qtyPO}}
                </ng-template>
            </p-column>
                </p-column><p-column header="Status">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.status}}
                    </ng-template>
                </p-column>
            </p-column><p-column header="Status Note">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.rejectNote}}
                </ng-template>
            </p-column>
                <p-column header="Action">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="button" icon="fa-print" class="flat-button" (click)="printPO(rowData)"
                            pTooltip="Print PO" *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </form>
</p-dialog>
<p-dialog [(visible)]="modalListHR" modal="true">
    <p-dataList [value]="listHR">
        <p-header>
            Alasan Hold PP
        </p-header>
        <ng-template let-hr pTemplate="item">
            <div class="ui-g ui-fluid">
                <div class="ui-g-12 ui-md-9">
                    <div class="ui-g">
                        <div class="ui-g-2 ui-sm-6">Tanggal: </div>
                        <div class="ui-g-10 ui-sm-6">{{hr.dtcreated | date:'dd-MM-yyyy'}}</div>

                        <div class="ui-g-2 ui-sm-6">Pembuat: </div>
                        <div class="ui-g-10 ui-sm-6">{{hr.createdby}}</div>

                        <div class="ui-g-2 ui-sm-6">Alasan: </div>
                        <div class="ui-g-10 ui-sm-6">{{hr.descriptions}}</div>
                    </div>
                    <hr>
                </div>
            </div>
        </ng-template>
    </p-dataList>
    <p-footer>
    </p-footer>
</p-dialog>
<p-confirmDialog></p-confirmDialog>